using System;
using CLIP.eForm.Server.Data;
using CLIP.eForm.Server.VO;
using IBatisNet.DataMapper;
using System.Collections;
using System.Collections.Generic;
using CLIP.eForm.Consent.Entity;

namespace CLIP.eForm.Consent.Dac
{
    public class CommonCodeDac : DacBase
    {

        #region #### SELECT ####

        public int GetSequence(ISqlMapper mapper, Code param)
        {
            return mapper.QueryForObject<Int32>("GET_SEQUENCE", param);
        }

        #endregion


        #region #### INSERT ####

        public void InsertSequence(ISqlMapper mapper, Code param)
        {
            mapper.Insert("SET_SEQUENCE", param);
        }

        #endregion


        #region #### UPDATE ####

        public void UpdateSequence(ISqlMapper mapper, Code param)
        {
            mapper.Update("UPDATE_SEQUENCE", param);
        }

        #endregion

        #region #### DELETE ####
        #endregion

        public IList<ImageServerPropsVO> GetImageServerProps(ISqlMapper mapper, Hashtable param)
        {
            return mapper.QueryForList<ImageServerPropsVO>("getImageServerProps", param);
        }
    }
}
